UDEVD(8)

NAME
udevd - event managing daemon

SYNOPSIS

udevd [--daemon] [--debug] [--children-max=] [--exec-delay=] [--resolve-names=early|late|never] [--version] [--help]

DESCRIPTION

udevd listens to kernel uevents. For every event, udevd executes matching instructions specified in udev rules. See udev(7).

On startup the content of the directory /lib/udev/devices is copied to /dev. If kernel modules specify static device nodes, these nodes are created even without a corresponding kernel device, to allow on-demand loading of kernel modules. Matching permissions specified in udev rules are applied to these static device nodes.

The behavior of the running daemon can be changed with udevadm control.

OPTIONS

--daemon
    Detach and run in the background.

--debug
    Print debug messages to stderr.

--children-max=
    Limit the number of parallel executed events.

--exec-delay=
    Number of seconds to delay the execution of RUN instructions. This might be useful when debugging system crashes during coldplug cause by loading non-working kernel modules.

--resolve-names=
    Specify when udevd should resolve names of users and groups. When set to early (the default) names will be resolved when the rules are parsed. When set to late names will be resolved for every event. When set to never names will never be resolved and all devices will be owned by root.

--version
    Print version number.

--help
    Print help text.

ENVIRONMENT

UDEV_LOG=
    Set the logging priority.

KERNEL COMMAND LINE

udev.log-priority=
    Set the logging priority.

udev.children-max=
    Limit the number of parallel executed events.

udev.exec-delay=
    Number of seconds to delay the execution of RUN instructions. This might be useful when debugging system crashes during coldplug cause by loading non-working kernel modules.

AUTHOR

Written by Kay Sievers kay.sievers@vrfy.org.

SEE ALSO

udev(7), udevadm(8)